콘텐츠로 건너뛰기

Overview

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

요청

보안
managementJwtAuth
경로
project_idinteger\d+필수
쿼리
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Get subscriptions info

본문application/json
has_moreboolean필수
예제: "false"
itemsArray of objects
기본값 []
items[].​chargeobject필수
items[].​charge.​amountnumber(float)필수
예제: 4.99
items[].​charge.​amount_with_promotionnumber or null(float)
기본값 null
예제: 3.99
items[].​charge.​currencystring필수
예제: "USD"
items[].​date_createstring(date-time)필수
예제: "2031-04-11T13:51:02+03:00"
items[].​date_last_chargestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
items[].​date_next_chargestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
items[].​idinteger필수
예제: "12345"
items[].​is_in_trialboolean필수
예제: "false"
items[].​payment_account(object or null)
(object or null)
items[].​periodobject필수
items[].​period.​unitstring or null
기본값 null
예제: "month"
items[].​period.​valueinteger or null
기본값 null
예제: "1"
items[].​plan_descriptionstring필수
예제: "Localized plan description"
items[].​plan_namestring필수
예제: "Localized plan name"
items[].​product_descriptionstring or null
예제: "Localized product description"
items[].​product_namestring or null
예제: "Product name"
items[].​statusstring필수
예제: "active"
items[].​trial_periodinteger or null
예제: "0"
응답
application/json
{ "has_more": "false", "items": [] }

요청

보안
managementJwtAuth
경로
project_idinteger\d+필수
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/settings' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Returns project settings for managing subscription

본문application/json
allow_change_packageboolean필수
예제: "true"
recurrent_cancel_possibleboolean필수
예제: "true"
응답
application/json
{ "allow_change_package": "true", "recurrent_cancel_possible": "true" }

요청

보안
managementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
쿼리
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Get subscription info

본문application/json
chargeobject필수
charge.​amountnumber(float)필수
예제: 4.99
charge.​amount_with_promotionnumber or null(float)
기본값 null
예제: 3.99
charge.​currencystring필수
예제: "USD"
date_createstring(date-time)필수
예제: "2031-04-11T13:51:02+03:00"
date_endstring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
date_last_chargestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
date_next_chargestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
idinteger필수
예제: "12345"
is_change_plan_allowedboolean필수
예제: "false"
is_change_to_non_renew_possibleboolean필수
예제: "true"
is_in_trialboolean필수
예제: "false"
is_renew_possibleboolean필수
예제: "true"
last_successful_charge(object or null)
(object or null)
payment_account(object or null)
(object or null)
periodobject필수
period.​unitstring or null
기본값 null
예제: "month"
period.​valueinteger or null
기본값 null
예제: "1"
plan_descriptionstring필수
예제: "Localized plan description"
plan_namestring필수
예제: "Localized plan name"
product_descriptionstring or null
예제: "Localized product description"
product_namestring or null
예제: "Product name"
statusstring필수
예제: "active"
trial_periodinteger or null
예제: "0"
응답
application/json
{ "charge": { "amount": 4.99, "amount_with_promotion": 3.99, "currency": "USD" }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "last_successful_charge": { "amount": "3.99", "currency": "USD", "date": "2031-04-11T13:51:02+03:00" }, "payment_account": { "card_expiry_date": {}, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }, "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_name": "Localized plan name", "product_description": "Localized product description", "product_name": "Product name", "status": "active", "trial_period": "0" }
작업